Update a PaymentIntent

Updates properties on a PaymentIntent object without confirming. Depending on which properties you update, you might need to confirm the PaymentIntent again. For example, updating the payment_method always requires you to confirm the PaymentIntent again. If you prefer to update and confirm at the same time, we recommend updating properties through the confirm API instead.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique ID of a payment intent.

Body Params
string
string

Three-letter currency code

customer
object

Customer details pertaining to the entity executing payment for this Payment Intent shall be omitted when a customer_id parameter is specified in the request.

string

The unique identifier of the customer must be provided when the Payment Intent is designated for recurring payments. This field should be left empty in cases where the customer remains unidentified (guest checkout) or when customer information is supplied through the customer object.

payment_orders
object

Purchase order related to this PaymentIntent

string
length ≤ 36

The merchant reference id created in merchant's system that corresponds to this PaymentIntent

string
length ≤ 32

Descriptor that will display to the customer. Maximum length is 32.

metadata
object

Any key-value object. Max length = 512 bytes. This must be valid JSON data.

string
length ≤ 1024

The web page URL or application scheme URI to redirect the customer after payment authentication.

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

string
required

The API client id generated by UQPAY

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json